## org.codehaus.groovy.ast.stmt
Class Statement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement

Direct Known Subclasses:
  AssertStatement, BlockStatement, BreakStatement, BytecodeSequence, CaseStatement, CatchStatement, ContinueStatement, DoWhileStatement, EmptyStatement, ExpressionStatement, ForStatement, IfStatement, ReturnStatement, SwitchStatement, SynchronizedStatement, ThrowStatement, TryCatchStatement, WhileStatement

    public class Statement

extends ASTNode

Base class for any statement

Version:
  $Revision: 6778 $
Author:
  James Strachan

Constructor Summary
`Statement()`

Method Summary
`String` `getStatementLabel()`
`boolean` `isEmpty()`
`void` `setStatementLabel(String label)`

Methods inherited from class org.codehaus.groovy.ast.ASTNode
`getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Statement

    public Statement()

Method Detail

### getStatementLabel

    public String getStatementLabel()

### setStatementLabel

    public void setStatementLabel(String label)

### isEmpty

    public boolean isEmpty()

Copyright © 2003-2008 The Codehaus. All rights reserved.